Error after enabling extension

I uploaded the UB Data Migration Lite extension to a blank magento 2.2.5 installation, enabled the extension, but when I ran the command: php bin/magento setup:upgrade I get the following error message: 
PHP Fatal error: Class ‘Controller’ not found in /var/www/migration/site/app/code/Ubertheme/Ubdatamigration/lib/protected/controllers/MigrateController.php on line 3
PHP Stack trace:
PHP 1. {main}() /var/www/migration/site/bin/magento:0
PHP 2. Symfony\Component\Console\Application->run() /var/www/migration/site/bin/magento:23
PHP 3. Magento\Framework\Console\Cli->doRun() /var/www/migration/site/vendor/symfony/console/Application.php:117
PHP 4. Symfony\Component\Console\Application->doRun() /var/www/migration/site/vendor/magento/framework/Console/Cli.php:104
PHP 5. Symfony\Component\Console\Application->doRunCommand() /var/www/migration/site/vendor/symfony/console/Application.php:193
PHP 6. Symfony\Component\Console\Command\Command->run() /var/www/migration/site/vendor/symfony/console/Application.php:843
PHP 7. Magento\Setup\Console\Command\DiCompileCommand->execute() /var/www/migration/site/vendor/symfony/console/Command/Command.php:241
PHP 8. Magento\Setup\Module\Di\App\Task\Manager->process() /var/www/migration/site/setup/src/Magento/Setup/Console/Command/DiCompileCommand.php:206
PHP 9. Magento\Setup\Module\Di\App\Task\Operation\RepositoryGenerator->doOperation() /var/www/migration/site/setup/src/Magento/Setup/Module/Di/App/Task/Manager.php:56
PHP 10. Magento\Setup\Module\Di\Code\Reader\ClassesScanner->getList() /var/www/migration/site/setup/src/Magento/Setup/Module/Di/App/Task/Operation/RepositoryGenerator.php:61
PHP 11. Magento\Setup\Module\Di\Code\Reader\ClassesScanner->extract() /var/www/migration/site/setup/src/Magento/Setup/Module/Di/Code/Reader/ClassesScanner.php:79
PHP 12. Magento\Setup\Module\Di\Code\Reader\ClassesScanner->includeClasses() /var/www/migration/site/setup/src/Magento/Setup/Module/Di/Code/Reader/ClassesScanner.php:108
PHP 13. require_once() /var/www/migration/site/setup/src/Magento/Setup/Module/Di/Code/Reader/ClassesScanner.php:123
 
Let me know how to solve this as I need to test this extension for migrating our magento 1 site to magento 2

  1. Do you have a refund policy then in case this isn't the right too for us?

1 answer

Profile photo of ubdev Staff 98130.00 $tone September 1, 2018
Public

Hi Kyler, 
Thanks for working around our Lite version. 
It’s pity that our Lite version is available for Magento 2.0.7 only. Due to our limited resources, we hardly find chance updating this version. Thus, it comes with a few limitations: 

  • Available for Magento 2.0.7 only, and your M2 must be a fresh instance.
  • Does not support NGINX 
  • It uses an outdated codebase which might lead to unexpected issues 

You can use the Lite version to have a closer look at the migration process. However, we highly recommend you consider moving forward with our Pro version. It will definitely save you pretty much time. 
In case you missed, you can check out a few case studies below to learn more about our migration tool: 
 

-- We did use the Pro version ourself to help Winetasting.com – Migrate 382,047 customer entities to Magento 2
-- And this case study as well -- Freelaunch.nl used UB Data Migration Pro to migrate 230,000 products to Magento 2
-- Case StudySuccessful Magento 2 Data Migration for Kwaaijongens.nl

 
Hope that helps.
 
Regards,
Ubertheme team

#1

Please login or Register to Submit Answer

Written By

Comments